FilterResourceAvailableEvent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ocap.media
Class FilterResourceAvailableEvent

    java.lang.Object
      java.util.EventObject
          org.davic.resources.ResourceStatusEvent
              org.ocap.media.FilterResourceAvailableEvent

All Implemented Interfaces:
  Serializable

    public class FilterResourceAvailableEvent

extends ResourceStatusEvent

This event notifies an application that a VBIFilterGroup released VBIFilters, i.e., another application may have an opportunity to reserve new VBIFilters. This event is just a hint of resource status, so that the filters may not be available when an application calls a `VBIFilterGroup.attach(javax.tv.service.selection.ServiceContext, org.davic.resources.ResourceClient, java.lang.Object)` method actually.

Author:
  Shigeaki Watanabe (Panasonic)
See Also:
  Serialized Form

Constructor Summary
`FilterResourceAvailableEvent(VBIFilterGroup f)` A constructor of this class.

Method Summary
`Object` | `getSource()` This method returns an instance of a class implementing VBIFilterGroup that is the source of the event.

Methods inherited from class java.util.EventObject
`toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FilterResourceAvailableEvent

    public FilterResourceAvailableEvent(VBIFilterGroup f)

  A constructor of this class.

  Parameters:
    `f` - Instance of a VBIFilterGroup that is the source of this event.

Method Detail

### getSource

    public Object getSource()

  This method returns an instance of a class implementing VBIFilterGroup that is the source of the event.

  Overrides:
    `getSource` in class `ResourceStatusEvent`
  Returns:
    instance of a class implementing VBIFilterGroup that is the source of the event

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD